package ingress

import (
	networkingv1beta1 "k8s.io/api/networking/v1beta1"
)

type Mutate interface {
	GetIngressRules() []networkingv1beta1.IngressRule
	GetIngressTLS() []networkingv1beta1.IngressTLS
	//	GetIngressClassName() *string
}

func MutateIngress(r Mutate, obj *networkingv1beta1.Ingress) error {

	obj.Spec.Rules = r.GetIngressRules()
	obj.Spec.TLS = r.GetIngressTLS()
	//	obj.Spec.IngressClassName = r.GetIngressClassName()

	return nil
}
